Upstream information

CVE-2020-8112 at MITRE

Description

opj_t1_clbl_decode_processor in openjp2/t1.c in OpenJPEG 2.3.1 through 2020-01-28 has a heap-based buffer overflow in the qmfbid==1 case, a different issue than CVE-2020-6851.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 7.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1162090 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise 15 Module for Basesystem ghostscript Affected
SUSE Linux Enterprise 15 Module for Basesystem openjpeg2 Affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem ghostscript Affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem openjpeg2 Affected
SUSE Linux Enterprise Desktop 12 ghostscript Unsupported
SUSE Linux Enterprise Desktop 12 SP1 ghostscript Unsupported
SUSE Linux Enterprise Desktop 12 SP2 ghostscript Unsupported
SUSE Linux Enterprise Desktop 12 SP3 ghostscript Unsupported
SUSE Linux Enterprise Desktop 12 SP4 ghostscript Unsupported
SUSE Linux Enterprise High Performance Computing 12 SP2 ghostscript Unsupported
SUSE Linux Enterprise High Performance Computing 12 SP3 ghostscript Unsupported
SUSE Linux Enterprise High Performance Computing 12 SP4 ghostscript Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 openjpeg2 Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 ghostscript Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 openjpeg2 Affected
SUSE Linux Enterprise Server 12 ghostscript Unsupported
SUSE Linux Enterprise Server 12 LTSS ghostscript Unsupported
SUSE Linux Enterprise Server 12 SP1 ghostscript Unsupported
SUSE Linux Enterprise Server 12 SP1 LTSS ghostscript Not affected
SUSE Linux Enterprise Server 12 SP2 ghostscript Unsupported
SUSE Linux Enterprise Server 12 SP2 BCL ghostscript Affected
SUSE Linux Enterprise Server 12 SP2 LTSS ghostscript Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS openjpeg2 Affected
SUSE Linux Enterprise Server 12 SP3 ghostscript Unsupported
SUSE Linux Enterprise Server 12 SP3 LTSS ghostscript Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS openjpeg2 Affected
SUSE Linux Enterprise Server 12 SP4 ghostscript Not affected
SUSE Linux Enterprise Server 12 SP4 openjpeg2 Affected
SUSE Linux Enterprise Server 12 SP5 ghostscript Not affected
SUSE Linux Enterprise Server 12 SP5 openjpeg2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 ghostscript Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ghostscript Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 openjpeg2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ghostscript Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openjpeg2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ghostscript Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openjpeg2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ghostscript Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openjpeg2 Affected
SUSE Linux Enterprise Server for the Raspberry Pi ghostscript Unsupported
SUSE Linux Enterprise Software Development Kit 12 ghostscript Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP1 ghostscript Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP3 ghostscript Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 ghostscript Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 ghostscript Not affected